Subject: Re: [Intel-wired-lan] [PATCH net-next 00/15] Introduce IDPF driver

From: Jason Gunthorpe <[email-masked]>
Date: Thu, 30 Mar 2023 09:03:09 -0300

On Wed, Mar 29, 2023 at 07:03:49AM -0700, Pavan Kumar Linga wrote:
> This patch series introduces the Infrastructure Data Path Function (IDPF)
> driver. It is used for both physical and virtual functions. Except for
> some of the device operations the rest of the functionality is the same
> for both PF and VF. IDPF uses virtchnl version2 opcodes and structures
> defined in the virtchnl2 header file which helps the driver to learn
> the capabilities and register offsets from the device Control Plane (CP)
> instead of assuming the default values.

Isn't IDPF currently being "standardized" at OASIS?

Has a standard been ratified? Isn't it rather premature to merge a
driver for a standard that doesn't exist?

Publicly posting pre-ratification work is often against the IP
policies of standards orgs, are you even legally OK to post this?

Confused,
Jason